> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue/plugins/ierrorreporter.md).

# Introduction

The IErrorReporter interface is used to report errors to the user. Implementations of this interface can be registered to Glue through a Plugin's AddErrorReporter method. An IErrorReporter is responsible for returning an array of ErrorViewModels. Typically a plugin will create an IErrorReporter for errors that pertain to the particular plugin. For example, the Gum plugin has an ErrorReporter which reports errors specific to Gum files. The only responsibility for an IErrorReporter is to return an array of ErrorViewModels. Each ErrorViewModel manages itself once it is created. Specifically, ErrorViewModels can respond to events such as a file changed, and can return whether they are fixed. Therefore, it is common for the same logic to be used in creating ErrorViewModel instances as well as checking if an existing ErrorViewModel is fixed.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue/plugins/ierrorreporter.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
